/*
 * @(#)AssertionServiceException.java
 *
 * Copyright 2006 Sony Corporation
 */
package info.dragonlady.cluster;

/**
 * アサーション情報操作サービス実行中に発生する例外。
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.2 $ $Date: 2006/03/09 14:43:01 $
 */
public class AssertionServiceException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 6178262193816728321L;

	/**
	 * コンストラクタ。
	 * 
	 */
	public AssertionServiceException() {
		super();
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param message メッセージ
	 */
	public AssertionServiceException(String message) {
		super(message);
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param cause 原因
	 */
	public AssertionServiceException(Throwable cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param message メッセージ
	 * @param cause 原因
	 */
	public AssertionServiceException(String message, Throwable cause) {
		super(message, cause);
	}

}
